Update Account
Modifies an existing customer account, for example, to change the primary billing contact or change whether to accept marketing material. ote that attempting to disable an account by using the below PUT call to change the isActive parameter is unsupported, and attempts to do so will be ignored by the API. Instead, make a POST call to api/commerce/customer/accounts/{accountId}/action and provide only { "actionName": "DisableAccount" } in the request body. This will successfully disable the account and the isActive flag will be automatically set as false.
PUT
Error
Body
application/json
Properties of the customer account to update.
Customer account. Customers provide contact information, view order history, and set email preferences on their account. Merchants can edit accounts to add internal notes or assign them to segments.
Response
OK
Customer account. Customers provide contact information, view order history, and set email preferences on their account. Merchants can edit accounts to add internal notes or assign them to segments.
Error

